#!/bin/sh

JAVA_HOME="/usr/java/jdk1.6.0_20"
JAVAC="${JAVA_HOME}/bin/javac"
JAVA="${JAVA_HOME}/bin/java"
ANTLR_HOME="/home/nvasudev/codespace/antlr"
export CLASSPATH="${ANTLR_HOME}/lib/antlr-3.2.jar"
LEXER_PARSER=`echo ${1} | cut -d. -f1`
#echo ${LEXER_PARSER}

${JAVA} -cp ${ANTLR_HOME}/lib/antlr-3.2.jar org.antlr.Tool ${1}

if [ $? -eq 0 ]
then
  ${JAVAC} -cp ../lib/antlr-3.2.jar ${LEXER_PARSER}*.java
else
  echo "ANTLR had problems generating the parser!"
  exit 1
fi
